Bug 22487 - не пущает по XDMCP (который включен)
: не пущает по XDMCP (который включен)
Status: CLOSED FIXED
: Branch 5.1
(All bugs in Branch 5.1/gdm)
: unspecified
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 15333
  Show dependency tree
 
Reported: 2009-12-09 22:52 by
Modified: 2009-12-18 22:21 (History)


Attachments
/var/log/gdm/192.168.0.250:7-slave.log (1.07 KB, text/plain)
2009-12-09 22:52, Michael Shigorin
no flags Details
first patch from RH#496882 (fixing the bug for me) (52 bytes, url)
2009-12-09 23:06, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-12-09 22:52:30
Created an attachment (id=4110) [details]
/var/log/gdm/192.168.0.250:7-slave.log

После решения bug #17047 возникла следующая проблема (м-да, стоило сразу на все
доступные грабли наступать):

Invalid MIT-MAGIC-COOKIE-1 keygdm-simple-slave[20453]: WARNING: Unable to
connect to display 192.168.0.250:7

Похоже на это:
https://bugzilla.redhat.com/show_bug.cgi?id=446224
https://bugzilla.redhat.com/show_bug.cgi?id=496882

Решил повесить баг, а то отвлекусь в процессе проверки и опять из головы
надолго вылетит.
------- Comment #1 From 2009-12-09 22:57:14 -------
Только что дошло, что проверял на gdm-2.26.1-alt3 из 5.1/branch -- сейчас
проверю alt4.1 с патчем из RH#496882, потом 2.28.1-alt1.
------- Comment #2 From 2009-12-09 23:05:53 -------
Патч из RH#446224 я как-то уже видел, по-моему, как раз когда пытался сделать
ручку для XDMCP у нас.
------- Comment #3 From 2009-12-09 23:06:06 -------
Created an attachment (id=4111) [details]
first patch from RH#496882 (fixing the bug for me)

Втянут здесь -- проверено, работает:
http://git.altlinux.org/people/mike/packages/?p=gdm.git;a=commitdiff;h=1d81a80dd913ef0220ba493f6fd383a24332be7a

Предлагаю втащить в ветки 2.26, а также собрать для 5.1/branch (или разрешить
мне это сделать).
------- Comment #4 From 2009-12-09 23:17:04 -------
Да, и для 2.28.1 это неактуально.  Не заметил было, что версии заметно
отличаются -- перевешиваю в бранч.
------- Comment #5 From 2009-12-11 18:01:30 -------
* Fri Dec 11 2009 Alexey Shabalin <shaba@altlinux> 2.26.1-alt5.M51.1
- mike@:
  + added XDMCP control support by ktirf@ (closes: #17047)
  + applied patch from RH#496882 to fix cookies when using XDMCP
------- Comment #6 From 2009-12-14 11:40:38 -------
см. #17047
------- Comment #7 From 2009-12-18 22:21:52 -------
* Mon Dec 14 2009 Alexey Shabalin <shaba@altlinux> 2.26.1-alt5.M51.2
- shrek@: fixed spurious requires (#17047)